Get Order By Id

Retrieves the details of a specific order by its unique identifier (order_id).

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

order_idstringRequired

Response

Successful Response
idstring
Unique identifier for the order
storeobject
Store information associated with the order
customerobject
Customer who placed the order
statusenum
Current status of the order
priceinteger
Total price of the order in cents
taxinteger
Total tax amount in cents
itemslist of maps from strings to any
List of items in the order
ready_bydatetime
Requested ready time for the order
created_atdatetime
Time when the order was created
is_readboolean
Whether the order has been read
in_posboolean
Whether the order has been synced to POS
objectstring
Usually "Order" for an order object
customer_commentsstringOptional
Optional comments from the customer
ready_atdatetimeOptional
Actual time when order was marked ready
completed_atdatetimeOptional
Time when the order was completed
payment_statusenumOptional
Current status of the payment
payment_methodenumOptional
Method used for payment

Errors

422
Unprocessable Entity Error